# This file is part of Signifo Project, see documentation for details



#################################
# PROCEDURES
#


# search for the word
proc Search_word {} {

  global Query_word \
   Dictionary_file \
   Interf_find_error_1 \
   Interf_find_error_2 \
   Interf_find_error_3 \
   Interf_find_error_4 \
   Interf_find_error_5

  # enable meaning edit box change
  .dlg_window.tex19 configure -state normal

  # remove last contents
  .dlg_window.tex19 delete 1.0 end
  
  # search
  set Error_flag [ catch { exec signifo -s $Query_word -d $Dictionary_file } Exec_output ]
  
  # if errors found: insert error message to meaning edit box
  if { $Exec_output == "" || $Error_flag } {

    # error - show message

    .dlg_window.tex19 insert end "\n"
    .dlg_window.tex19 insert end $Query_word
    .dlg_window.tex19 insert end "\n\n"
    .dlg_window.tex19 insert end $Interf_find_error_1
    .dlg_window.tex19 insert end "\n"
    .dlg_window.tex19 insert end $Interf_find_error_2

    # show error output, if exist 
    if { $Exec_output != "" } {
      .dlg_window.tex19 insert end "\n\n"
      .dlg_window.tex19 insert end $Interf_find_error_3
      .dlg_window.tex19 insert end "\n"
      .dlg_window.tex19 insert end "'"
      .dlg_window.tex19 insert end $Exec_output
      .dlg_window.tex19 insert end "'"
    }

    .dlg_window.tex19 insert end "\n"
    .dlg_window.tex19 insert end "\n"
    .dlg_window.tex19 insert end $Interf_find_error_4
    .dlg_window.tex19 insert end "\n"
    .dlg_window.tex19 insert end $Interf_find_error_5
  
    # error message font format
    .dlg_window.tex19 tag configure My_text_error_format -foreground purple

    # select and format text
    .dlg_window.tex19 tag add My_text_error_format 1.0 end
    
  } else {
        
    # ok - only show program output
    .dlg_window.tex19 insert end $Exec_output
  
  }
  
  # disable meaning edit box
  .dlg_window.tex19 configure -state disabled
}
