# This file is part of Signifo Project, see documentation for details


# after a language was chose the system continue startup
proc Init_system {} {
        
  global Language_file
global \
  Dictionary_file \
  Query_word \
  Language_file \
  Interf_title \
  Interf_execute_query \
  Interf_exit \
  Interf_word \
  Interf_help \
  Interf_dictionary_label \
  Interf_files_type_1 \
  Interf_files_type_all \
  Interf_change \
  Interf_help_title \
  Interf_help_1 \
  Interf_help_2 \
  Interf_help_3 \
  Interf_help_4 \
  Interf_equivalence \
  Interf_equivalence_explain \
  Interf_close_help \
  Interf_find_error_1 \
  Interf_find_error_2 \
  Interf_find_error_3 \
  Interf_find_error_4 \
  Interf_find_error_5 \
  Interf_help_text_1 \
  Interf_help_text_2 \
  Interf_help_text_3 \
  Interf_help_text_4

  # destroy init dialog
  Process_window destroy .top17

  # read other files
  source $Language_file
  source interf.tcl
  source apl.tcl

  # show main window
  Process_window show .dlg_window
  
  # assign "ENTER" to the word edit box
  bind .dlg_window.ent21 <Return> "Search_word"
}



proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 200x200+0+0
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 1
    wm resizable $base 0 0
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}



proc vTclWindow.top17 {base} {

    global Language_file
    
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 272x301+90+14
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 0 0
    wm title $base "Signifo"
    button $base.but18 \
        -padx 9 -pady 3 -text Esperanto -command {set Language_file "esperanto.tcl" ; Init_system }
    button $base.but19 \
        -padx 9 -pady 3 -text Portugus -command {set Language_file "portuguese.tcl" ; Init_system }
    button $base.but20 \
        -padx 9 -pady 3 -text English -command {set Language_file "english.tcl" ; Init_system }
    label $base.lab21 \
        -bitmap @signifo.xbm -borderwidth 1 -text label 
    label $base.lab17 \
        -borderwidth 1 -text {chose one language} 
    label $base.lab18 \
        -borderwidth 1 -text {escolha uma lingua} 
    label $base.lab19 \
        -borderwidth 1 -text {elektu unua lingvon} 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.but18 \
        -x 50 -y 190 -width 181 -height 29 -anchor nw -bordermode ignore 
    place $base.but19 \
        -x 50 -y 260 -width 181 -height 29 -anchor nw -bordermode ignore 
    place $base.but20 \
        -x 50 -y 225 -width 181 -height 29 -anchor nw -bordermode ignore 
    place $base.lab21 \
        -x 10 -y 5 -width 251 -anchor nw -bordermode ignore 
    place $base.lab17 \
        -x 55 -y 120 -width 166 -height 23 -anchor nw -bordermode ignore 
    place $base.lab18 \
        -x 15 -y 150 -width 166 -height 23 -anchor nw -bordermode ignore 
    place $base.lab19 \
        -x 100 -y 90 -width 166 -height 23 -anchor nw -bordermode ignore 
}
