# This file is part of Signifo Project, see documentation for details

# DON'T EDIT DIRECTLY WITH VTCL

#############################################################################
# Visual Tcl v1.10 Project
#

#################################
# VTCL GENERATED GUI PROCEDURES
#


proc vTclWindow.dlg_help {base} {

global \
  Dictionary_file \
  Query_word \
  Language_file \
  Interf_title \
  Interf_execute_query \
  Interf_exit \
  Interf_word \
  Interf_help \
  Interf_dictionary_label \
  Interf_files_type_1 \
  Interf_files_type_all \
  Interf_change \
  Interf_help_title \
  Interf_help_1 \
  Interf_help_2 \
  Interf_help_3 \
  Interf_help_4 \
  Interf_equivalence \
  Interf_equivalence_explain \
  Interf_close_help \
  Interf_help_text_1 \
  Interf_help_text_2 \
  Interf_help_text_3 \
  Interf_help_text_4

  
    if {$base == ""} {
        set base .dlg_help
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel  -background #bebebe -highlightcolor #fffeff 
    wm focusmodel $base passive
    wm geometry $base 666x492+50+70
    wm maxsize $base 1009 700
    wm minsize $base 200 1
    wm overrideredirect $base 0
    wm resizable $base 0 0
    wm title $base $Interf_help_title
    label $base.lab17  -background #acefac -bitmap @signifo.xbm -borderwidth 1  -relief sunken 
    label $base.lab18  -background #ffffce -bitmap @equivtab.xbm -borderwidth 1  -relief sunken 
    label $base.lab19  -anchor w -borderwidth 1  -text $Interf_help_1 
    label $base.lab20  -anchor w -borderwidth 1  -text $Interf_help_2
    label $base.lab21  -anchor w -borderwidth 1  -text $Interf_help_3
    label $base.lab22  -anchor w -borderwidth 1  -text $Interf_help_4
    label $base.lab24  -borderwidth 1 -text $Interf_equivalence -font {arial -14}
    message $base.mes28  -padx 5 -pady 2  -text $Interf_equivalence_explain -font {arial -14}
    text $base.tex30  -relief sunken  -font {arial -14}


    # add contents to the help edit box

    # enable edit box change
    $base.tex30 configure -state normal
    
    # remove last contents
    $base.tex30 delete 1.0 end
    
    # add text
    $base.tex30 insert end $Interf_help_text_1
    $base.tex30 insert end "\n\n"
    $base.tex30 insert end $Interf_help_text_2
    $base.tex30 insert end "\n\n"
    $base.tex30 insert end $Interf_help_text_3
    $base.tex30 insert end "\n\n"
    $base.tex30 insert end $Interf_help_text_4
    
    # disable edit box change
    $base.tex30 configure -state disabled
    
    
    button $base.but32  -padx 9 -pady 3 -text $Interf_close_help -command {Process_window destroy .dlg_help}
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab17  -x 15 -y 15 -anchor nw -bordermode ignore 
    place $base.lab18  -x 585 -y 175 -anchor nw -bordermode ignore 
    place $base.lab19  -x 275 -y 15 -width 376 -height 23 -anchor nw -bordermode ignore 
    place $base.lab20  -x 275 -y 45 -width 376 -height 23 -anchor nw -bordermode ignore 
    place $base.lab21  -x 275 -y 75 -width 376 -height 23 -anchor nw -bordermode ignore 
    place $base.lab22  -x 275 -y 105 -width 376 -height 23 -anchor nw -bordermode ignore 
    place $base.lab24  -x 400 -y 180 -width 182 -height 28 -anchor nw -bordermode ignore 
    place $base.mes28  -x 415 -y 215 -width 156 -height 141 -anchor nw -bordermode ignore 
    place $base.tex30  -x 20 -y 145 -width 376 -height 328 -anchor nw -bordermode ignore 
    place $base.but32  -x 500 -y 420 -width 121 -height 29 -anchor nw -bordermode ignore
}



proc vTclWindow.dlg_window {base} {

global \
  Dictionary_file \
  Query_word \
  Language_file \
  Interf_title \
  Interf_execute_query \
  Interf_exit \
  Interf_word \
  Interf_help \
  Interf_dictionary_label \
  Interf_files_type_1 \
  Interf_files_type_all \
  Interf_change \
  Interf_help_title \
  Interf_help_1 \
  Interf_help_2 \
  Interf_help_3 \
  Interf_help_4 \
  Interf_equivalence \
  Interf_equivalence_explain \
  Interf_close_help
    
    if {$base == ""} {
        set base .dlg_window
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel \
        -cursor xterm 
    wm focusmodel $base passive
    wm geometry $base 595x359+80+38
    wm maxsize $base 1009 700
    wm minsize $base 200 1
    wm overrideredirect $base 0
    wm resizable $base 0 0
    wm title $base $Interf_title
    entry $base.ent21 \
        -textvariable Query_word 
    button $base.but22 \
        -command Search_word -padx 9 -pady 3 -text $Interf_execute_query 
    button $base.but23 \
        -command exit -padx 9 -pady 3 -text $Interf_exit 
    menu $base.m22 \
        -cursor {} 
    label $base.lab17 \
        -anchor e -borderwidth 1 -highlightcolor #000000 -justify right \
        -text $Interf_word 
    text $base.tex19 \
        -borderwidth 1 -highlightcolor #000000
		  # (Linux:) -font {arial -14}
    button $base.but17 \
        -command {Process_window show .dlg_help} -padx 9 -pady 3 \
        -text $Interf_help 
    label $base.lab18 \
        -anchor e -borderwidth 1 -justify right \
        -text $Interf_dictionary_label 
    button $base.but20 \
      -command {
        # file browser dialog configuration
        set types {
          {"Text files"		{.txt }	}
          {"Text files"		{}		TEXT}
          {"All files"		*}
        }
        # get the new file name
        set File [tk_getOpenFile -filetypes $types -parent .dlg_window]
        # if file is not empty (dialog canceled)
        if { $File != "" } {
          set Dictionary_file $File
        }
      } \
      -padx 9 -pady 3 -text $Interf_change
    entry $base.ent22 \
        -textvariable Dictionary_file -state disabled
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.ent21 \
        -x 175 -y 50 -width 273 -height 27 -anchor nw -bordermode ignore 
    place $base.but22 \
        -x 465 -y 50 -width 117 -height 26 -anchor nw -bordermode ignore 
    place $base.but23 \
        -x 465 -y 320 -width 114 -height 29 -anchor nw -bordermode ignore 
    place $base.lab17 \
        -x 70 -y 50 -width 96 -height 23 -anchor nw -bordermode ignore 
    place $base.tex19 \
        -x 15 -y 90 -width 565 -height 215 -anchor nw -bordermode ignore 
    place $base.but17 \
        -x 325 -y 320 -width 124 -height 29 -anchor nw -bordermode ignore 
    place $base.lab18 \
        -x 10 -y 10 -width 156 -height 23 -anchor nw -bordermode ignore 
    place $base.but20 \
        -x 465 -y 10 -width 117 -height 26 -anchor nw -bordermode ignore 
    place $base.ent22 \
        -x 175 -y 10 -width 273 -height 23 -anchor nw -bordermode ignore 
}
